Bug 1019090 - Clarify description of the some properties in the table
Clarify description of the some properties in the table
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER3
: EAP 6.4.0
Assigned To: Scott Mumford
Russell Dickenson
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 03:10 EDT by Ondrej Chaloupka
Modified: 2015-04-17 01:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-10-2013 13:01:57 Topic ID: 4310-459145 [Latest]
Last Closed: 2015-04-17 01:55:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-15 03:10:55 EDT
Title: Configure the Transaction Manager

There are two properties that I would ask for being change. I've consulted their functionality with developers and they are:
 -  Enable TSM Status "Whether to enable the transaction status manager (TSM) service, which is used for out-of-process recovery." - please add a note that 'we do not support running an out of process recovery manager so the ASS is just contacted in memory'
 -  Path "The relative or absolute filesystem path where the transaction manager core stores data." - please add info that this path is used for saving the process ID in it when <process-id> tag (process-id-uuid cli attribute) is used.
Comment 1 Ondrej Chaloupka 2013-11-29 06:16:56 EST
we found out one more error in the documentation of paths. There is error in description of item 'Object Store Path Relative To' where is said:

"The value of the path TM attribute is relative to this path."

The correct sentence should be
"The value of the object store path TM attribute is relative to this path."
Comment 3 Ondrej Chaloupka 2014-02-14 03:14:21 EST
Sorry for misguiding info. The whole context of the description on description of running recovery manager out of process should be:

The TSM service basically exposes one of these as a network endpoint: https://github.com/jbosstm/narayana/blob/master/ArjunaCore/arjuna/classes/com/arjuna/ats/arjuna/recovery/ActionStatusService.java

For EAP it is not required as we do not support running an out of process recovery manager so the ASS is just contacted in memory.
Comment 5 Scott Mumford 2014-02-26 00:13:40 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 6 Scott Mumford 2014-02-26 00:15:44 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 7 Ondrej Chaloupka 2014-02-26 03:14:35 EST
Hi,

I'm returning this bug back as I do not agree with removing information about the enable-tsm-status.

I've checked the other two points that this issue refers to (with Path and Object Store Path Relative To) and they were fixed correctly.

Back to the enable tsm status. This attribute is not supported but it's still present in the CLI and in the XML config (namely could be seen in XSD) and user is able to set it. From my point of view it is appropriate to mention it in the documentation.

The info which is in the documentation for 6.2 is fine
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Administration_and_Configuration_Guide/index.html#Configure_the_Transaction_Manager1

just please add to the description that support running an out of process recovery and that by default is the TSM contacted in memory.

Thanks
Ondra
Comment 8 Ondrej Chaloupka 2014-03-04 09:49:57 EST
Related to https://bugzilla.redhat.com/show_bug.cgi?id=1034600
Comment 9 Scott Mumford 2014-12-10 20:02:29 EST
Taking this bug as I'm already working on 1034600
Comment 10 Scott Mumford 2014-12-10 20:37:00 EST
Ondrej, 

I reinstated the two options mentioned in 1034600, stating that both are unsupported.

I added a sentence to explain that the TSM status, while present, is not needed in EAP as the recovery manager is always run in a process.

The changes will be available for review in the next build of the docs suite.
Comment 11 Ondrej Chaloupka 2014-12-11 04:04:41 EST
Hi Scott,

thanks for you changes just don't you mind my asking for a small fix in the current text?

From:
Whether to enable the transaction status manager (TSM) service, which is used for out-of-process recovery. Running an out of process recovery manager to contact the ActionStatusService in memory is not supported. 

To something like:
Whether to enable the transaction status manager (TSM) service, which is used for out-of-process recovery. Running an out of process recovery manager to contact the ActionStatusService from different process is not supported (normally is contacted in memory).

Thanks a lot
Ondra
Comment 12 Scott Mumford 2014-12-14 17:18:35 EST
I've made that change Ondrej. No problem.

The change will be visible in the next update to stage (I'll comment here when it's available)
Comment 14 Hayk Hovsepyan 2015-02-24 03:46:03 EST
Verified on A&C guide Revision 6.4.0-15 and Dev guide Revision 6.4.0-9

Note You need to log in before you can comment on or make changes to this bug.